Bug 436090 - hal hard codes us layout
hal hard codes us layout
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-05 06:50 EST by Pierre Ossman
Modified: 2009-04-08 05:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-08 05:08:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pierre Ossman 2008-03-05 06:50:49 EST
(this bug spawned of bug 434669)

Now that Xorg uses HAL for keyboard detection, it is vital that the information
is actually correct. Unfortunately, HAL hard codes the "us" layout in one of its
.fdi files. It needs to get a lot more clever than this.

Preferably, it checks /etc/sysconfig/keyboard.
Comment 1 Pierre Ossman 2008-03-19 12:48:02 EDT
Could someone have a look at this? It's a bit annoying to have the keyboard
layout reset to american every time there's a hal update.
Comment 2 Bug Zapper 2008-05-14 01:47:11 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 3 Scott Glaser 2009-04-07 20:12:24 EDT
Are you still running Fedora 9, or have you upgraded to 10 or Rawhide? In
either case, can you let us know whether the issue is still happening, and give
the current version of the HAL packages you're using?

Fedora Bugzappers volunteer triage team
Comment 4 Pierre Ossman 2009-04-08 01:10:35 EDT
I've upgraded, and it seems to be working with the current hal.

Note You need to log in before you can comment on or make changes to this bug.